aboutsummaryrefslogtreecommitdiffstats
path: root/versioncheck.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-16 00:01:28 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-16 00:01:28 -0500
commit2704a1c0ce34d81fdde6d2c365df0b9a77545fc3 (patch)
treebe16050026c3b0b2d821d8abf315408156c2fedf /versioncheck.sh
parent36bdd88a911512bf029d15a362a4de1da3d288fd (diff)
Was forgotten.
Diffstat (limited to 'versioncheck.sh')
-rwxr-xr-xversioncheck.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/versioncheck.sh b/versioncheck.sh
new file mode 100755
index 0000000..ed1caa7
--- /dev/null
+++ b/versioncheck.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+# Simple script to list version numbers of critical development tools
+
+export LC_ALL=C
+bash --version | head -n1 | cut -d" " -f2-4
+MYSH=$(readlink -f /bin/sh)
+echo "/bin/sh -> $MYSH"
+echo $MYSH | grep -q bash || echo "ERROR: /bin/sh does not point to bash"
+unset MYSH
+
+echo -n "Binutils: "
+ld --version | head -n1 | cut -d" " -f3-
+bison --version | head -n1
+
+if [ -h /usr/bin/yacc ]; then
+ echo "/usr/bin/yacc -> $(readlink -f /usr/bin/yacc)"
+elif [ -x /usr/bin/yacc ]; then
+ echo yacc is $(/usr/bin/yacc --version | head -n1)
+else
+ echo "yacc not found"
+fi
+
+bzip2 --version 2>&1 </dev/null | head -n1 | cut -d" " -f1,6-
+echo -n "Coreutils: "
+chown --version | head -n1 | cut -d")" -f2
+diff --version | head -n1
+find --version | head -n1
+gawk --version | head -n1
+
+if [ -h /usr/bin/awk ]; then
+ echo "/usr/bin/awk -> $(readlink -f /usr/bin/awk)"
+elif [ -x /usr/bin/awk ]; then
+ echo awk is $(/usr/bin/awk --version | head -n1)
+else
+ echo "awk not found"
+fi
+
+gcc --version | head -n1
+g++ --version | head -n1
+ldd --version | head -n1 | cut -d" " -f2- # glibc version
+grep --version | head -n1
+gzip --version | head -n1
+cat /proc/version
+m4 --version | head -n1
+make --version | head -n1
+patch --version | head -n1
+echo Perl $(perl -V:version)
+python3 --version
+sed --version | head -n1
+tar --version | head -n1
+makeinfo --version | head -n1 # texinfo version
+xz --version | head -n1
+
+echo 'int main(){}' >dummy.c && g++ -o dummy dummy.c
+if [ -x dummy ]; then
+ echo "g++ compilation OK"
+else echo "g++ compilation failed"; fi
+rm -f dummy.c dummy \ No newline at end of file